# About this module:
This module was created for the **Malawi Earlier-Middle Stone Age Project**. The module has been designed to document an entire workflow for context based archaeological excavation in Malawi, Africa. The Malawi Earlier-Middle Stone Age Project (MEMSAP) is a cross-disciplinary project aimed at understanding changes in human technology, subsistence, and demography across the time period known as the Middle Stone Age (MSA, from ca. 280 – 30 thousand years ago).

## Authorship:
This module was co-developed by Jessica Thompson at Emory University and Adela Sobotkova and Petra Janouchova at the FAIMS Project, Department of Ancient History, Macquarie University.

## Funding:
Development of this module was funded by **ARC LE140100151, FAIMS: Transforming archaeological research through digital technologies** and **MQ Strategic Infrastructure Scheme 20110089**, for FAIMS infrastructure development and support in 2016.

## Date of release:
May 2015, June 2016 

## FAIMS Mobile version:
FAIMS **v2.2** (Android 5+)

## Licence:
This module is licensed under an international Creative Commons Attribution 4.0 Licence (**CC BY 4.0**).

## Access:
This module is part of the **FAIMS Demo library** on our publicly accessible Demo server (http://demo.fedarch.org/). 

## This module contains the following FAIMS features:
* Context & Context Group based complex recording of excavation workflow
* Munsel Soil Colour Chart
* on device created photos, photograph logs, sketches etc.
* coordinates from internal GPS
* validated fields with user observations
* controlled vocabularies

## This module can be used with no or minor modification for:
* archaeological excavation using context recording
* field school or hands-on archaeological training

## Contact info:
For more details about the **Malawi Earlier-Middle Stone Age Project** please visit https://memsap.org. If you have any questions about the MEMSAP, contact Jessica Thompson jessica.thompson@emory.edu.

If you have any questions about the module, please contact the FAIMS team at **enquiries@fedarch.org** and we will get back to you within one business day.

## Screenshots:
<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221200.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221219.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221231.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221245.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221325.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221349.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221423.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221445.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221505.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221526.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221531.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221544.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221554.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221608.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221640.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221732.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221802.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221816.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221826.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221840.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221848.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221852.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221857.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221908.png" width="250"/>
</p>

<p align="left">
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221923.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221932.png" width="250"/>
  <img src="https://github.com/FAIMS/memsap-excavation-2016/blob/master/screenshots/Screenshot_20170913-221947.png" width="250"/>
</p>
